## popeye 0.22.1

=== Makefile ===
NAME     := popeye
PACKAGE  := github.com/derailed/$(NAME)
VERSION  := v0.22.1
GIT      := $(shell git rev-parse --short HEAD)
DATE     := $(shell date +%FT%T%Z)
IMG_NAME := derailed/popeye
IMAGE    ?= ${IMG_NAME}:${VERSION}
PLATFORMS ?= linux/arm64,linux/amd64,linux/s390x,linux/ppc64le

default: help

test:      ## Run all tests
	@go clean --testcache
	@go test ./...

cover:     ## Run test coverage suite
	@go test ./... --coverprofile=cov.out
	@go tool cover --html=cov.out

build:     ## Builds the CLI
	@go build \
	-ldflags "-w -X ${PACKAGE}/cmd.version=${VERSION} -X ${PACKAGE}/cmd.commit=${GIT} -X ${PACKAGE}/cmd.date=${DATE}" \
	-a -tags netgo -o execs/${NAME} *.go

img:  ## Build Docker Image
	@docker build --rm -t ${IMAGE} .

push: img ## Push Docker Image
	@docker push ${IMAGE}

buildx: ## Build and push docker image for cross-platform support
	# copy existing Dockerfile and insert --platform=${BUILDPLATFORM} into Dockerfile.cross, and preserve the original Dockerfile
	sed -e '1 s/\(^FROM\)/FROM --platform=\$$\{BUILDPLATFORM\}/; t' -e ' 1,// s//FROM --platform=\$$\{BUILDPLATFORM\}/' Dockerfile > Dockerfile.cross
	- docker buildx create --name popeye-builder
	docker buildx use popeye-builder
	- docker buildx build --push --platform=$(PLATFORMS) --tag ${IMAGE} -f Dockerfile.cross .
	- docker buildx rm popeye-builder
	rm Dockerfile.cross

help:
	@grep -E '^[a-zA-Z_-]+:.*?## .*$$' $(MAKEFILE_LIST) | sort | awk 'BEGIN {FS = ":.*?## "}; {printf "\033[38;5;69m%-30s\033[38;5;38m %s\033[0m\n", $$1, $$2}'

=== debian/changelog ===
popeye (0.22.1-1kaisen) kaisen-packages; urgency=medium

  * Import the 0.22.1 release

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Sat, 09 Aug 2025 20:46:23 +0100

popeye (0.21.6-1kaisen) kaisen-packages; urgency=medium

  * Import the 0.21.6 release

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Wed, 15 Jan 2025 14:56:19 +0100

popeye (0.21.5-1kaisen) kaisen-packages; urgency=medium

  * Import the 0.21.5 release
  * Bump the golang-go version required to build

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Tue, 19 Nov 2024 00:14:49 +0100

popeye (0.21.3-1kaisen) kaisen-packages; urgency=medium

  * Import the 0.21.3 release

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Wed, 08 May 2024 13:25:34 +0100

popeye (0.11.1-2kaisen) kaisen-packages; urgency=medium

  * Remove golang-go as package dependancy

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Mon, 07 Aug 2023 20:42:52 +0100

popeye (0.11.1-1kaisen) kaisen-packages; urgency=medium

  * Import the 0.11.1 version
  * Update the quilt patch

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Mon, 24 Jul 2023 02:19:27 +0100

popeye (0.10.1-2kaisen) kaisen-packages; urgency=medium

  * Improvements of the packaging

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Mon, 23 Jan 2023 01:49:14 +0100

popeye (0.10.1-1kaisen) kaisen-packages; urgency=medium

  * Import 0.10.1 version
  * Update the quilt patch

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Fri, 08 Jul 2022 03:49:14 +0100

popeye (0.10.0-1kaisen) kaisen-packages; urgency=medium

  * Import 0.10.0 version
  * Update the quilt patch

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Fri, 06 May 2022 02:23:06 +0100

popeye (0.9.8-1kaisen) kaisen-packages; urgency=medium

  * First packaging for Kaisen Linux

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Mon, 14 Feb 2022 01:45:52 +0100

=== debian/control ===
Source: popeye
Section: admin
Priority: optional
Maintainer: Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>
Build-Depends: debhelper-compat (= 13), dh-golang, golang-go (>= 1.23.0),
Standards-Version: 4.6.0
Homepage: https://popeyecli.io/
Vcs-Browser: https://gitlab.com/kaisenlinux/packages/popeye
Vcs-Git: https://gitlab.com/kaisenlinux/packages/popeye.git
XS-Go-Import-Path: github.com/derailed/popeye

Package: popeye
Architecture: amd64 arm64
Depends: ${shlibs:Depends},
	 ${misc:Depends},
Description: A Kubernetes cluster resource sanitizer

=== debian/rules ===
#!/usr/bin/make -f

export GOPATH=$(CURDIR)/_build
export TMPDIR=$(CURDIR)/_build

%:
	dh $@ --buildsystem=golang --builddirectory=$(CURDIR)/_build

override_dh_auto_clean:
	rm -rf $(CURDIR)/obj-x86_64-linux-gnu $(CURDIR)/_build $(CURDIR)/execs/popeye

override_dh_auto_build:
	make build

override_dh_auto_test:
	go test

override_dh_auto_install:
	install -p -m 0755 $(CURDIR)/execs/popeye $(CURDIR)/debian/popeye/usr/bin/popeye
	install -p -m 0644 $(CURDIR)/debian/popeye.png $(CURDIR)/debian/popeye/usr/share/pixmaps/
	$(CURDIR)/debian/popeye/usr/bin/popeye completion bash > $(CURDIR)/debian/popeye/usr/share/bash-completion/completions/popeye
	$(CURDIR)/debian/popeye/usr/bin/popeye completion zsh > $(CURDIR)/debian/popeye/usr/share/zsh/vendor-completions/_popeye

override_dh_installdocs:
	dh_installdocs --all $(CURDIR)/LICENSE $(CURDIR)/README.md $(CURDIR)/change_logs/*

override_dh_dwz:
